Name: ovirt-engine-sdk-java
Version: 3.4.3.0
Release: 1%{?dist}
Summary: oVirt Engine Software Development Kit (Java)
Group: Development/Libraries
License: ASL 2.0
URL: http://ovirt.org

# git clone git://gerrit.ovirt.org/ovirt-engine-sdk-java
# cd ovirt-engine-sdk-java
# git archive --prefix ovirt-engine-sdk-java-3.4.3.0/ 3.4.3.0 | xz > ovirt-engine-sdk-java-3.4.3.0.tar.xz
Source: %{name}-%{version}.tar.xz

BuildArch: noarch

BuildRequires: apache-commons-compress
BuildRequires: apache-commons-logging
BuildRequires: httpcomponents-client
BuildRequires: junit
BuildRequires: log4j
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-local
BuildRequires: maven-source-plugin


%description
This package contains The oVirt-Engine Java Software Development Kit.
With this package, custom java software can be built for oVirt-Engine.


%package javadoc
Summary: API documentation for %{name}
Group: Documentation


%description javadoc
This package provides %{name}.


%prep

# Extract the source:
%setup -q

# In the tree provided by the upstream project the relevant source for this
# package is inside a subdirectory, but our build tools expect the POM files in
# the current directory, so in order to simplify things we move everything to
# the top level before starting the build:
mv ovirt-engine-sdk-java/* .


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%dir %{_javadir}/%{name}
%doc AUTHORS
%doc README
%doc LICENSE


%files javadoc -f .mfiles-javadoc
%doc AUTHORS
%doc README
%doc LICENSE


%changelog
* Fri Jul 18 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.4.3.0-1
- Update to upstream version 3.4.3.0.
- Add expect and correlationId parameters to network labels related
  methods #1101531.
- Add method to get entity by string id #1099818.
- Added maintenance operation to VM.
- Added hosted_engine element to Host.
- Added labels to Network.
- Added labels to HostNIC.
- Added actions to preview, commit and undo snapshots.
- Added support for affinity groups.
- Added support to import a VM as template.
- Removed external_id from users and groups.
- Renamed cloud_init.hostname to cloud_init.host.address.

* Thu Mar 27 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.4.0.7-1
- Update to upstream 3.4.0.7 in order to suport version 3.4 of the
  oVirt project.

* Wed Oct 09 2013 Juan Hernandez <juan.hernandez@redhat.com> - 1.0.0.18-1
- Initial packaging

